export const setUser = (state, payload) => {
  let res = true;
  //登陆时
  if (payload) state.user = payload;
  else {
    //已经登陆,切换路由时取出用户信息放在总store中
    let user = sessionStorage.getItem('user');
    if (user) state.user = JSON.parse(user);
    else {
      res = false;
      state.user = undefined;
      console.warn('用户未登录');
    }
  }
  return res;
};

export const deleteUser = (state, payload) => {
  state.user = {};
  sessionStorage.removeItem('user');
};
